 Overview

MyIE2 is a browser based on IE core (need IE5.0, IE5.5 or IE 6.0), it can open more web pages in one MyIE2 but only occupy a little resource.
MyIE2 is a freeware, you can use for free and distribute it as you like.

¡¡


MyIE2 History 0

MyIE2 History

0.46

(Fixed) 		Tooltip problem on XP
(Added) 		Drag drop to save text and image
(Enabled)		Most favorite
(Changed) 		popuplist and urllist are merged .
(Added)		New command support for script.
        ( Use external.addFilter("abc*") or external.addFilter("abc*",0) in webpage to add new Filter to myie2)
(Enhanced) 	Skin support.(Use skin as a whole picture)
(Changed) 		Enabled modem speed display under win98
(Changed) 		Tab style
(Fixed) 		Window resize problem (such as bbs.winzheng.com)
(Added) 		No MessageBox could block me.(You may test at http://www.38js.com/js/danger/danger007.htm)
(Fixed) 		BackSpace problem in some pages.

0.45

(Fixed) 		Can not Ctrl+Enter to submit post in some forums
(Added) 		Use Undo menu to resume you last visited page.
(Changed) 		All language related files,such as search, resource and help, are moved to language directory
(Fixed)		Default mouse position problem.(It goes to upper right sometimes)
(Fixed) 		Favorite menu error in Nt40 and win95
(Added) 		DDE support
(Fixed) 		Tab position error
(Added) 		Favorite icon support
(Fixed) 		Language=NULL problem
(Fixed)		problems in big font system.(toolbar height is not correct)
(Fixed) 		more flicker problem.
(Fixed) 		myie.ini problem. (make your myie.ini clear)

0.4

(Enhanced)              Open and Close speed.
(Fixed)                     Can not press enter in some web html editors and chat rooms.
(Fixed)                     Toolbar position will be lost when restarted.( Need reposition once )
(Fixed)                     When change tab pos at run time, tab height will not change even use multi-tab.

0.35 (build 900)

(80% Fixed)             Toolbar position will be lost when restarted.
(Fixed)                     IE Toolbar button don't display on some system. Now, it looks the same as in IE. (It's not so simple as I thought in the beginning)
(Fixed)                     If place myie2 on root directory, toolbar image and language will not load.( Language name is NULL problem :-) )
(Fixed)                     F2,F3 flicker problem
(Fixed)                     When select lock toolbar, some of them were not locked

0.35 (build 700)

(Changed)                Only tested IE extension bar will be supported. In this version(google, flashget)

0.35 (build 500)

(Fixed)                     New window and close window flicker problem
(Added)                   IE Extension support.
(Fixed)                     Links bar will not show any links on non-english system.
(Added)                   Context menu for favorite directories.( try right click on favorite bar )
(Added)                   Quick proxy setting from dropdown toolbar button.

0.3 (build 110) beta

(Fixed)                     When user change to another page and back, the input focus will be lost.
                               (This problem seems come along with all MS CHtmlView derived class, even the msdn explorer in VS7).
(Fixed)                     When use with IE auto form feature, press enter will not select the text but submit the form.
(Fixed)                     The flicker problem with XP users.
0.2:

(Fixed)                     Delete file in favorite menu(by a right click) will not also delete that menu.
(50% fixed)              Store directory in favorite menu not work.
(Maybe Fixed)          Proxy setting lost problem. (waiting for reports)
(Fixed)                     There is a bug in Win98, the drag_clink_open will nonfunction
                               if user right click to popup a context menu on toolbar.
(Fixed)                     Delete file in file explorer window will response in time.

(Changed)                Use dynamic link now. Program size reduced.
(Changed)                On-Tab close button will not 'flash'.

(Added)                   Mutilanguage support. Select language in MyIE2 options->advanced settings
                               (Translator wanted) :-)
(Added)                   Add option for On-Tab close button and make it visible. options->tab settings

0.2 beta

(Changed)                On tab close button changed to right click.
(Added)                   Favorite menu right click shortcut menu ( only for menu items).

0.1

(Fixed)                     View/Hide window buttons problem
(Deleted)                 Accelerator key Ctrl+B for autosave
(Added)                   A small close area at the right of every page tab.(like 51357)
                               ( it will be visible when mouse move over.)
(Fixed)                     After user close MyIE, it will still in memory in some case. (I disabled some code temporarily.)
(Fixed)                     Toolbar layout problem
(Fixed)                     Some unsafe code
(Fixed)                     Compile problem

MyIE History

3.2

1. Add a standard tab style, not like current flat button tab. You can deselect the flat button option in MyIE's tab options.
2. Add two new mouse gestures:
Up Right: Switch to next window
Up Left: Switch to previous window
3. Can customize the new window operation for Mouse Down gesture.
4. Lock toolbars.
5. Add a lock window option in double-click tab, and so on.
6. For IE5.5 and above the back and forward list will be more accurate.
7. Restore Modem downloading speed under Win2000, and add a menu item to switch whether display or not.
8. Add remove typed URLs function in myie options.
9. Hide the hidden items in favorites according to system's setting.
10. Fix bugs about saving proxies list.
11. Separated toolbar icons from main program, so that user can modify and customize easily.
12. Add more toolbar buttons.

3.1

1. Separate Translation function from Web proxy. Now you can select translating from menu directly.
2. Content Filter. It can filter out advertisement images from web pages to speed up the downloading. You can select Enable content filter in Tools Menu and set the URLs to be filtered in Edit Filters.
3. Control scrolling speed by mouse. You can select use mouse to control scrolling speed in auto scrolling menu. Then put the mouse on scrollbar, the speed will be decided by the position of mouse. When mouse leaves scrollbar the scrolling will stop.
4. Replace some toolbar icons.
5. Add Ctrl plus Right click on tab. You can select the corresponding function in MyIE options.
6. Undo list use page title instead of page URL.
7. Can customize window buttons at top right corner.
8. Add a new startup mode of myie: Doesn't open any window. This will speed up myie startup.
9. Change some accelerator, such as Auto Save changes to Ctrl+Alt+S.
10. Drop file on Myie now will be opened in current window.
11. Add Auto save, assign shortcut, assign alias function to tab rightclick menu.
12. Fix some problem reported by user in 3.01.

3.0

1. Auto Save: it like save functions, but page will be save to default directory automatically without save as dialog box. Auto save has four options: save whole page as html, as whole page as mht, only save html, quick save. You can select default Auto Save function in MyIE options. You also can select to categorize pages by site, then pages will be saved to subdirectory named by site name.
2. Double Click and Middle Click tab: you can select the fucntion for double click and middle click in MyIE option. Currently you can select close window, save as, save html, and auto save.
3. New Icon and Animation Icon.
4. Drag tab: you can use lefe mouse button to drag the tabs to arrange the tab sequence.
5. MyIE Options: I build a new MyIE options dialog box, it supply more options for you to configure.
6. Mouse Gestures: You can press and hold right mouse button in page's blank and move it to perfrom some functions.
Down: Open New Window
Left: Back
Right: Forward
Up then Down: Refresh
Right-Left-Right or Down-Right: Close window
7. Auto set background color: after download complete it will set the background color of this page as default color.
8. Add Link Here: In Favoriate Menu I add a new item: Add link here. You can add current window's addrress to that favoriate folder directly.
9. Save pictures: you can drag pictures in page to Collector or buttons on status bar to save those pictures to default image folder. The default image folder can be set in MyIE option's Save tab.
10. Move Group menu to Shortcut menu, and add a new Group button on toolbar.
11. Save as group: save all opened windows' URL as a new group.
12. Lock homepage: it can prevent some web pages to change your homepage, you only can change homepage through MyIe's Internet Option.
13. Display progress percent on progress bar.
14. Change Shortcut Key for Hidden to Alt-` to avoid conflicts with some programs.


Installation

MyIE2 is a green software, no ad bars, needn't installing, just extract to folder then run.


System Requirement

Supports Win9x/Win NT/Win2000/Win XP.


Main Features

      Browse
      Windows
      Proxy
      Shortcut
      Favorites

   Enhancements


Browse

  • Multi-Windows Browse
    You can open one more pages in MyIE2 when browsing, it can save resource on your system.
  • Tab bar
    When you open more than one pages, each window has a tab on tab bar. You can switch pages by change tab. Tab bar position can be at top or bottom, you can change it in MyIE2 options dialog box.
    Tips:Use Ctrl-Tab to switch pages.
    Tab bar has three styles: One line, Multiple lines, and Auto Fit. Auto Fit tab will adjust its width according to tab count, it can keep more tabs in one line.
  • Iconic progress
    When browsing each tab has an icon besides it to display the progress of it. When icon is blank means process is between 0%-25%, a quarter blue means progress is between 25%-50%, and so on. When icon disappear means the page is finishing downloading. Read icon means you haven't read it.
  • Close popup windows
    You can add those pages into Popup Filter, so that those windows won't be opened again. You also can add the URLs of some Frames and IFrames into Popup Filter, so that those frames and IFrames won't be downloaded.
  • Use * to filter window
    You can use * in URLs to filter similar URLs.
  • Use auto filter
    Auto filter can forbid all popup windows automatically without add URLs in popup filter. You also can enable/disable this feature for each window independently.
  • Filter duplicates windows
    MyIE2 can filter duplicated popup windows to avoid wasting resource.
  • Content Filter
    It can filter out advertisement images from web pages to speed up the downloading. You can select Enable content filter in Tools Menu and set the URLs to be filtered in Edit Filters.
  • Download Control
    You can set whether downloading images, sounds, running script, applets, ActiveX on each page.
  • Save web pages
    MyIE2 can save the whole web page or only save HTML of the page.
  • Quick save
    Quick save can save page with images quickly, but the default IE save function will display a process dialog and need more time to save it.
  • Auto Save
    It like save functions, but page will be save to default directory automatically without save as dialog box. Auto save has four options: save whole page as html, as whole page as mht, only save html, quick save. You can select default Auto Save function in MyIE2 options. You also can select to categorize pages by site, then pages will be saved to subdirectory named by site name.
  • Domain completion
    When input URL, you can use Ctrl+Enter, Shift+Enter, Ctrl+Shift+Enter to help you complete its domain. it will add http://www. and corresponding suffix such as: .com, .net, .com.cn. You can set them in MyIE2 options dialog.
  • Don't display Error messages
    You can select this option in MyIE2 options dialog box to prevent browser display Script Error Messages.
  • Browse Local Files
    You can select Folder bar to display a window like File Manager, then you can select files to display in browser windows. You also can change the file type and click refresh button to refresh files. If you want to disable this feature you can add Secure=1 in configure file MyIE2.ini.
  • User resource
    Select user resource in toolbar to display the resource bar, it contains web emails, stocks and other user resources. The content is in resource.htm, you can edit it to add your own resources.
  • Auto Scrolling
    Auto scrolling will scroll the page automatically to help you to read long files, it fit for none frame pages.
  • Control scrolling speed by mouse
    You can select use mouse to control scrolling speed in auto scrolling menu. Then put the mouse on scrollbar, the speed will be decided by the position of mouse. When mouse leaves scrollbar the scrolling will stop.
  • Brower Mode
    It is a set of MyIE2 settings, currently it has defined three modes: user mode, standard mode, news mode.
  • Set background color
    You can set the background color of page to help you read long articles.
  • Set background color for all windows
    It will set all opened window to default color.
  • Auto Set background color
    It will set default page background color when you finish downloading a page.
  • Send
         You can send page or link by email to your friends.
  • Animation Icon
    When MyIE2 is downloading, the icon of MyIE2 will be animated.
  • Support download tools
    You can select download tools in MyIE2 option dialog, currently MyIE2 builds in supporting for NetAnts and FlashGet.
  • Mouse Gestures
    You can press and hold right mouse button in page's blank and move it to perform some functions.
    Down: Open New Window
    Left: Back
    Right: Forward
    Up then Down: Refresh
    Right-Left-Right or Down-Right: Close window
    Up Right: Switch to next window
    Up Left: Switch to previous window


Windows

  • Activate new window
    You can select activate new window so that when opening a new window it will be the active foreground window, otherwise the new window will be opened in background. It's more fit for browsing news.
  • Open new window
    You can select open new windows when input new address, click favorites, history, local files and links in pages.
  • Multiple Window browsing
    Windows can be tiled, cascaded.
  • Create new window
    MyIE2 has 4 options to open new window: blank, homepage, current window, address in clipboard. You can select default action in MyIE2 options dialog.
  • Lock window
    Right click on tab, you can select lock this tab in its menu. When a window is locked it won't be closed when close all windows and all links in it will opened in new windows.
  • Close all windows
    Close all unlocked windows.
  • Full screen
    Use F11 to display MyIE2 in Full Screen mode.
  • Auto reuse exist empty windows
     When you active a new page, MyIE will reuse any exist empty windows automatically instead of opening a new page for saving system resource.
  • Active new windows in order
    When you close a window, if the activated window is not the window beside the closed window, it will make some trouble for browse. Now you can solve the problem by using MyIE2 Option/Windows/Activate Sequence. The window Previous to the closed window will be activated by selecting "Previous", on the contrary The window Next to the closed window will be activated by selecting "Next".
  • Open pages in new windows
    If you haven't select open new window selection, you can hold Ctrl key when click Favorites, histories to open them in new windows.
  • Switch windows
    You can use Ctrl+ <- and Ctrl+ -> , or F2, F3 to switch window sequentially. F2 = Ctrl <-, F3 = Ctrl ->, Ctrl-1...Ctrl-9,Ctrl-0 represent window 1 to 10.
  • Set stick name
    If a tab is set a stick name, then it won't changed when windows' title change.
  • Protect windows
    A protect window has a password set, to access a protect window you need the password.
  • Hide MyIE2
    Use Alt+` to hide and unhide MyIE2.
  • Drag link to address bar
    You can drag a link to address to open it in new a window.
  • Drag link to tab
    You can drag a link to a tab to open it in the corresponding window.
  • Double Click and Middle Click tab
    You can select the function for double click and middle click in MyIE2 option. Currently you can select close window, save as, save html, and auto save.
  • Auto refresh windows
    You can set a frequency to refresh an inactive window.
  • Undo close
    It can reopen the windows you last closed.
  • Drag links to open in new windows
    You can drag a link in page and release in the page, then the link can be opened in a new window.
  • Drag tab
    You can use left mouse button to drag the tabs to arrange the tab sequence.


Proxy

  • Use proxy server
    You can use proxy with MyIE2, proxy can be set in Menu Options/Quick set proxies. Also there is a toolbar button for you to use proxy more easily. The proxy setting will be affected for all windows.
  • Use Web Proxy
    Currently a lot of web site provide proxy functions such as www.safeweb.com. You can set web proxy for each window separately. When you enable a web proxy for a window, the URLs you open in that window will surf through that web proxy.
  • Set proxies
    Use Menu Options/Quick set proxies to add, modify, delete and categorize proxies. The format of proxy is URL:Port, such as 202.96.233.13:3128. Web proxy is a just a URL, you can use %s and %S to represent the Web page you will browse, otherwise web page will be added at the end.
  • Configure Proxy Speed tag
     In order to manage HTTP Proxy and Web Proxy conveniently and distinguish the different speed of proxy , you can choose one of Proxy Speed tag for every Proxy. There are six lever of Proxy Speed: Faster, Fast, Normal, Slow, Slower, Invalid. You can use right mouse menu to configure the Proxy Speed in "set proxy server" dialog.
  • Use Proxy button in Tool bar
     You can switch proxy conveniently via Proxy Server toolbar button and Web Proxy toolbar button , just as via menu. If you have a default proxy, you can use the proxy directly just by pressing the Proxy Server toolbar button down.
  • Use Web Proxy/Translate
     There are many proxy serve base on web, most of them are fast and stable. You can configure different Web Proxy or disable Web Proxy for each web page. You can use "option/Use web Proxy/Translate" to enable or disable Web Proxy Service. Generally, MyIE2 have configured a Web Proxy in advance. Once you enable the Web Proxy for a page, when you input a new address or click a link in favorites, they will use the Web Proxy automatically.
  • Bypass URL
    You can set bypass URL for each category. Each address should be separated by a blank space.
  • Import/Export proxies
    You can Export proxies for other programs using or Import from others.


Shortcuts

  • Start Folder
    You can set a start folder in Favorites, start folder will be displayed in bold font. It can be used in MyIE2 startup mode to open all links in that folder when start MyIE2.
  • Open Start folder
     Some most favorite URL can be collected in Start Folder, it is convenient for you to open all of them simultaneously.
  • URL Alias
    You needn't to input a complete URL just input an alias of that URL, MyIE2 can translate it into a real URL. You should set the aliases first.
  • URL shortcut
    You can define a URL to a Shortcut key. Now you can use F2-F12 as URL shortcuts.
  • 3721 Chinese URL
    You can use 3721 Chinese URL if "Use 3721 Chinese URL" menu under Options Menu is checked. Without any client software, once when you want to access http://www.cpcw.com/, you can write "电脑报" directly in address bar.
  • Groups
    It's compatible with Netcaptor's Groups. You can copy Netcaptor's *.cgp files to MyIE2's groups folder. Double click a URL in group can open it.
  • Save as group
    save all opened windows' URL as a new group.
  • Fill Forms
    Use Alt-Q to fill current form, but you should use Alt-1 to save a sample of that form first. You also can Alt-2 to save form as a general form. When filling form and MyIE2 can't find corresponding samples it will use the data in general form. This function isn't suitable for shared computers.
  • Quick search
    You can input eyahoo keyword to search that keyword by yahoo. Use Set Quick Search dialog to set those search engines.
  • Status bar buttons
    There are four buttons on status bar, they are work offline, auto filter, activate new window, simple collector.
  • Simple collector
    It can store text you drop on it and save images to default image folder. You also can drop them on status bar buttons.


Favorites

  • Open all favorites
    In each favorite menu there is a open all links item, you can use it to open all links in that folder.
  • Most Favorite links
    You can mark a link as your most favorite in favorite bar, those links will have a red icon.
  • Most Favorite Folders
    You can mark a favorite folder as most favorite.
  • Open Most favorites
    In each favorite menu there is a open most favorite links item, you can use it to open most favorite links in that folder.
  • Use single column Menu
    By default MyIE2 display favorites in multiple columns, but if you have many favorites it may not be displayed on your screen, so you can select using single column menu.
  • Favorite bar
    All favorite folders can be displayed on a toolbar, you can select them easily.
  • Add Link Here
    In Favorites Menu I add a new item: Add link here. You can add current window's address to that favorites folder directly.
  • Change Orders of Favorites
     You can change Order of Favorites easily by dragging the Favorite page or folder on the Favorites Bar.
  • Manage Favorite page by right mouse
     You can rename, delete, duplicate and open a favorite page by using right mouse menu.


Enhancements

  • Search engines
     MyIE2 include more than 100 search engines. You can use them in Search bar.
  • External Utilities
    You can add some external utilities into MyIE2 by External Utilities     manager. Those Utilities will be displayed in its toolbar, so that you can use them more conveniently. Those Utilities also can be set as start with MyIE2, those utilities will be started when MyIE2 starts and closed when MyIE2 exits.
  • Clear history
     You can clear the histories in MyIE2 ( such as Cookies, Caches and History).
  • Startup modes
     MyIE2 has six startup modes: open blank window, open homepage, resume last visited pages, open start folder, open most favorites in start folder, open start group.
  • Display local IP
     MyIE2 can display you IP address on status bar.
  • Toolbar background
     You can use a BMP picture on MyIE2's toolbars to make it likes nice. Copy BMP's to MyIE2's MyIE2skin folder then you can select them at Tools/skin menu.
  • Custom Toolbar
     You can custom the appearance of Tool bar. Just right-click the toolbar, and then click "Customize Tool Bar...".
  • MyIE2 Option
     In order to control and use MyIE2 efficiently, you can configure some preferences in MyIE2 Option Dialog. In MyIE2, on the Options menu, click MyIE2 Options.
  • System Resources
     On Win98 MyIE2 can display resource percent on status bar.
  • Free Memories
    On WinNT and Win2000 MyIE2 will display the amount of free memories.
  • Modem speed
    On Win98 MyIE2 can display current Modem downloading speed.
  • Minimize to system tray
    In MyIE2 options you can select to minimize MyIE2 to system tray.
  • Disable scroll text in Statusbar
  • Links list
    You can list all links in current page, also you can filter those links by their URLs.
  • Lock homepage
    It can prevent some web pages to change your homepage, you only can change homepage through MyIE2's Internet Option.


FAQ

Q.Menu bar disappeared.
 A.Can use shortcut Ctrl-F11 to callback the menu bar.

Q.Why the download tools which can work with MyIE 3.0 can't work now?
A.Because some tools use the same technology as MyIE's Content Filter, but they can't work together. So if you want use those tools please disable content filter.


Contact

Homepage: http://myie2.yeah.net
 Forum: http://myiebbs.yeah.net


Declaration

MyIE Browser is Freeware, its copyright does not belong to any individual.

Thank ChangYou for his contribution to MyIE Browser!
Thank all MyIE Users for their attention on MyIE!